BelongsToHostTaxonomyValidator does not propage issues to host form

09/21/2017 12:08 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Unattended installations   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1492148 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4866

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1492148

Description of problem:

If BelongsToHostTaxonomyValidator fails, the error message is not visible for the user.

Also, the error messages are logged as [info], which on customer request should be turned

to error, and I tent to agree with that.

Associated revisions

Revision cd14c1a9 - 04/06/2018 04:38 PM - Ivan Necas

Fixes #21055 - use _id attributes for host taxonomy validator

Otherwise, the error messages are not visible.

Also log the host error messages as `error` instead of `info`, as it

should be more appropriate for this case.

History

#1 - 09/21/2017 12:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/4866 added

#2 - 04/06/2018 04:44 PM - Anonymous

- Subject changed from BelongsToHostTaxonomyValidator does not propage issues to host form

 to BelongsToHostTaxonomyValidator does not propage issues to host form

- translation missing: en.field_release set to 330

#3 - 04/06/2018 05:02 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cd14c1a99486298406e071262a46502eb523d4b8.
